import { Box } from "@mui/material";

interface Props {
  color: string;
}

export default function AlignLeftIcon({ color }: Props) {
  return (
    <Box
      sx={{
        height: "32px",
        width: "32px",
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
      }}
    >
      <svg
        xmlns="http://www.w3.org/2000/svg"
        width="32"
        height="32"
        viewBox="0 0 32 32"
        fill="none"
      >
        <path
          d="M5 5V27"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M22 7H10C9.44772 7 9 7.44772 9 8V13C9 13.5523 9.44772 14 10 14H22C22.5523 14 23 13.5523 23 13V8C23 7.44772 22.5523 7 22 7Z"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M27 18H10C9.44772 18 9 18.4477 9 19V24C9 24.5523 9.44772 25 10 25H27C27.5523 25 28 24.5523 28 24V19C28 18.4477 27.5523 18 27 18Z"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
      </svg>
    </Box>
  );
}
