import { Box, useTheme } from "@mui/material";

interface Props {
  color: string;
  bgcolor: string;
}

export default function DomenIcon({ color, bgcolor }: Props) {
  const theme = useTheme();

  return (
    <Box
      sx={{
        bgcolor,
        borderRadius: "6px",
        height: "36px",
        width: "36px",
        display: "flex",
        justifyContent: "center",
        alignItems: "center",
      }}
    >
      <svg
        width="36"
        height="36"
        viewBox="0 0 36 36"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M18.3906 26.8906C23.3612 26.8906 27.3906 22.8612 27.3906 17.8906C27.3906 12.9201 23.3612 8.89062 18.3906 8.89062C13.4201 8.89062 9.39062 12.9201 9.39062 17.8906C9.39062 22.8612 13.4201 26.8906 18.3906 26.8906Z"
          stroke={color}
          strokeWidth="1.5"
          strokeMiterlimit="10"
        />
        <path
          d="M9.39062 17.8906H27.3906"
          stroke={color}
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M18.3906 26.6453C20.4617 26.6453 22.1406 22.725 22.1406 17.8891C22.1406 13.0531 20.4617 9.13281 18.3906 9.13281C16.3196 9.13281 14.6406 13.0531 14.6406 17.8891C14.6406 22.725 16.3196 26.6453 18.3906 26.6453Z"
          stroke={color}
          strokeWidth="1.5"
          strokeMiterlimit="10"
        />
      </svg>
    </Box>
  );
}
