import { useTheme, SxProps, Box } from "@mui/material";

interface Props {
  sx?: SxProps;
}

export default function ExpandIcon({ sx }: Props) {
  const theme = useTheme();

  return (
    <Box
      sx={{
        ...sx,
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
      }}
    >
      <svg
        width="30"
        height="30"
        viewBox="0 0 30 30"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <rect width="30" height="30" rx="6" fill="#EEE4FC" />
        <path
          d="M22.5 11.25L15 18.75L7.5 11.25"
          stroke="#7E2AEA"
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
      </svg>
    </Box>
  );
}
