import { Box, useTheme } from "@mui/material";

interface Props {
  bgcolor?: string;
  height: string;
  width: string;
  color: string;
}

export default function LayoutIconBig({
  bgcolor,
  height,
  width,
  color,
}: Props) {
  const theme = useTheme();

  return (
    <Box
      sx={{
        backgroundColor: bgcolor,
        height,
        width,
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        borderRadius: "6px",
      }}
    >
      <svg
        xmlns="http://www.w3.org/2000/svg"
        width="47"
        height="40"
        viewBox="0 0 47 40"
        fill="none"
      >
        <path
          d="M17.875 14.125V38.5"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M1 14.125H46"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M44.125 1H2.875C1.83947 1 1 1.83947 1 2.875V36.625C1 37.6605 1.83947 38.5 2.875 38.5H44.125C45.1605 38.5 46 37.6605 46 36.625V2.875C46 1.83947 45.1605 1 44.125 1Z"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
      </svg>
    </Box>
  );
}
