import { Box } from "@mui/material";

interface Props {
  color: string;
}

export default function FormatIcon2({ color }: Props) {
  return (
    <Box
      sx={{
        height: "30px",
        width: "30px",
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
      }}
    >
      <svg
        width="40"
        height="40"
        viewBox="0 0 40 40"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M38.3333 0H1.66667C0.746192 0 0 0.89543 0 2V38C0 39.1046 0.746192 40 1.66667 40H38.3333C39.2538 40 40 39.1046 40 38V2C40 0.89543 39.2538 0 38.3333 0Z"
          fill="none"
        />
        <path
          d="M33.9994 16.1953L35.8848 19.0233L33.9994 21.8514"
          stroke={color}
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M6.59824 16.1953L4.71289 19.0233L6.59824 21.8514"
          stroke={color}
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <circle cx="13.2" cy="11.2" r="1.2" fill={color} />
        <circle cx="25.2" cy="11.2" r="1.2" fill={color} />
        <rect
          x="10"
          y="8"
          width="9"
          height="23"
          rx="1"
          stroke={color}
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <rect
          x="22"
          y="8"
          width="9"
          height="23"
          rx="1"
          stroke={color}
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
      </svg>
    </Box>
  );
}
