import { Box, SxProps, Theme } from "@mui/material";

interface Props {
  color: string;
  sx?: SxProps<Theme>;
}

export default function Answer({ color, sx }: Props) {
  return (
    <Box
      sx={{
        height: "38px",
        width: "45px",
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        ...sx,
      }}
    >
      <svg
        width="47"
        height="40"
        viewBox="0 0 47 40"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M44.125 29H2.875C1.83947 29 1 29.2239 1 29.5V38.5C1 38.7761 1.83947 39 2.875 39H44.125C45.1605 39 46 38.7761 46 38.5V29.5C46 29.2239 45.1605 29 44.125 29Z"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <circle cx="6.13415" cy="34.1341" r="2.13415" fill={color} />
        <path
          d="M44.125 15H2.875C1.83947 15 1 15.2239 1 15.5V24.5C1 24.7761 1.83947 25 2.875 25H44.125C45.1605 25 46 24.7761 46 24.5V15.5C46 15.2239 45.1605 15 44.125 15Z"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <circle cx="6.13415" cy="20.1341" r="2.13415" fill={color} />
        <path
          d="M44.125 1H2.875C1.83947 1 1 1.22386 1 1.5V10.5C1 10.7761 1.83947 11 2.875 11H44.125C45.1605 11 46 10.7761 46 10.5V1.5C46 1.22386 45.1605 1 44.125 1Z"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <circle cx="6.13415" cy="6.13415" r="2.13415" fill={color} />
      </svg>
    </Box>
  );
}
