import { Box, SxProps, Theme } from "@mui/material";

interface Props {
  color: string;
  sx?: SxProps<Theme>;
}

export default function optionsAndPict({ color, sx }: Props) {
  return (
    <Box
      sx={{
        height: "38px",
        width: "45px",
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        ...sx,
      }}
    >
      <svg
        width="47"
        height="40"
        viewBox="0 0 47 40"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M21.125 29H1.875C1.39175 29 1 29.2239 1 29.5V38.5C1 38.7761 1.39175 39 1.875 39H21.125C21.6082 39 22 38.7761 22 38.5V29.5C22 29.2239 21.6082 29 21.125 29Z"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <circle cx="6.13415" cy="34.1341" r="2.13415" fill={color} />
        <path
          d="M21.125 15H1.875C1.39175 15 1 15.2239 1 15.5V24.5C1 24.7761 1.39175 25 1.875 25H21.125C21.6082 25 22 24.7761 22 24.5V15.5C22 15.2239 21.6082 15 21.125 15Z"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <circle cx="6.13415" cy="20.1341" r="2.13415" fill={color} />
        <path
          d="M21.125 1H1.875C1.39175 1 1 1.22386 1 1.5V10.5C1 10.7761 1.39175 11 1.875 11H21.125C21.6082 11 22 10.7761 22 10.5V1.5C22 1.22386 21.6082 1 21.125 1Z"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <circle cx="6.13415" cy="6.13415" r="2.13415" fill={color} />
        <path
          d="M45.1667 1H26.8333C26.3731 1 26 1.85066 26 2.9V37.1C26 38.1493 26.3731 39 26.8333 39H45.1667C45.6269 39 46 38.1493 46 37.1V2.9C46 1.85066 45.6269 1 45.1667 1Z"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <circle cx="31.1341" cy="6.13415" r="2.13415" fill={color} />
      </svg>
    </Box>
  );
}
