import { Box, SxProps, Theme } from "@mui/material";

interface Props {
  color: string;
  sx?: SxProps<Theme>;
}

export default function optionsPict({ color, sx }: Props) {
  return (
    <Box
      sx={{
        height: "38px",
        width: "45px",
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        ...sx,
      }}
    >
      <svg
        width="47"
        height="40"
        viewBox="0 0 47 40"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M20.1667 1H1.83333C1.3731 1 1 1.85066 1 2.9V37.1C1 38.1493 1.3731 39 1.83333 39H20.1667C20.6269 39 21 38.1493 21 37.1V2.9C21 1.85066 20.6269 1 20.1667 1Z"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M45.1667 1H26.8333C26.3731 1 26 1.85066 26 2.9V37.1C26 38.1493 26.3731 39 26.8333 39H45.1667C45.6269 39 46 38.1493 46 37.1V2.9C46 1.85066 45.6269 1 45.1667 1Z"
          stroke={color}
          strokeWidth="2"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <circle cx="6.13415" cy="6.13415" r="2.13415" fill={color} />
        <circle cx="31.1341" cy="6.13415" r="2.13415" fill={color} />
      </svg>
    </Box>
  );
}
