type Audit = {
  UpdatedAt: Date;
  CreatedAt: Date;
  Deleted: boolean;
};

type Condition = {
  Period: Period;
  User: string;
  UserType: string;
  Coupon: string;
  PurchasesAmount: string;
  CartPurchasesAmount: string;
  Product: string;
  Term: string;
  Usage: string;
  PriceFrom: string;
  Group: string;
};

type Period = {
  From: Date;
  To: Date;
};

type Target = {
  Products: Product[];
  Factor: number;
  TargetScope: string;
  TargetGroup: string;
  Overhelm: boolean;
};

type Product = {
  ID: string;
  Factor: number;
  Overhelm: boolean;
};

export type Discount = {
  ID: string;
  Name: string;
  Layer: number;
  Description: string;
  Condition: Condition;
  Target: Target;
  Audit: Audit;
  Deprecated: boolean;
};
