import { QuestionType } from "./question";

export interface CreateQuestionRequest {
  /** id of quiz for what question is creating */
  quiz_id: number;
  /** title of question. max length 512 */
  title: string;
  /** description of question. html/text */
  description: string;
  /** type of question. allow only text, select, file, variant, images, varimg, emoji, date, number, page, rating */
  type: QuestionType;
  /** set true if user MUST answer this question */
  required: boolean;
  /** page of question */
  page: number;
  /** json serialized of question content settings */
  content: string;
}
