import { QuestionType, RawQuestion } from "./question";

export interface GetQuestionListRequest {
  /** max items on page */
  limit?: number;
  /** page number */
  offset?: number;
  /** start time of time period. timestamp in seconds */
  from?: number;
  /** end time of time period. timestamp in seconds */
  to?: number;
  /** string for fulltext search in titles of questions */
  search?: string;
  /** allow only - text, select, file, variant, images, varimg, emoji, date, number, page, rating or empty string */
  type: "" | QuestionType;
  /** get deleted quizes */
  deleted?: boolean;
  /** get only require questions */
  required?: boolean;
  /** relation to quiz */
  quiz_id?: number;
}

export interface GetQuestionListResponse {
  count: number;
  items: RawQuestion[] | null;
}
