export interface CreateQuizRequest {
  /** set true for save deviceId */
  fingerprinting: boolean;
  /** set true for allow user to repeat quiz */
  repeatable: boolean;
  /** set true for save statistic of incomplete quiz passing */
  note_prevented: boolean;
  /** set true for mail notification for each quiz passing */
  mail_notifications: boolean;
  /** set true for save statistics only for unique quiz passing */
  unique_answers: boolean;
  /** name of quiz. max 280 length */
  name: string;
  /** description of quiz */
  description: string;
  /** config of quiz. serialized json for rules of quiz flow */
  config: string;
  /** status of quiz. allow only '', 'draft', 'template', 'stop', 'start' */
  status: "draft" | "template" | "stop" | "start";
  /** limit is count of max quiz passing */
  limit: number;
  /** last time when quiz is valid. timestamp in seconds */
  due_to: number;
  /** seconds to pass quiz */
  time_of_passing: number;
  /** true if it is allowed for pause quiz */
  pausable: boolean;
  /** count of questions */
  questions_count?: number;
  /** set true if squiz realize group functionality */
  super: boolean;
  /** group of new quiz */
  group_id: number;
}
