import { RawQuiz } from "./quiz";

export interface GetQuizListRequest {
  /** max items on page */
  limit?: number;
  /** page number */
  offset?: number;
  /** start time of time period. timestamp in seconds */
  from?: number;
  /** end time of time period. timestamp in seconds */
  to?: number;
  /** string for fulltext search in titles of quizes */
  search?: string;
  /** allow only - draft, template, timeout, stop, start, offlimit */
  status?:
    | ""
    | "draft"
    | "template"
    | "timeout"
    | "stop"
    | "start"
    | "offlimit";
  /** get deleted quizes */
  deleted?: boolean;
  /** get archived quizes */
  archived?: boolean;
  /** set true if squiz realize group functionality */
  super?: boolean;
  /** group of new quiz */
  group_id?: number;
}

export interface GetQuizListResponse {
  count: number;
  items: RawQuiz[];
}
