import { FC } from "react";
import { Button, Typography, useTheme, Box } from "@mui/material";

interface Props {
  deleteItem: () => void;
  close: () => void;
}

export const DeleteTagQuestion: FC<Props> = ({ close, deleteItem }) => {
  const theme = useTheme();

  return (
    <Box
      sx={{
        mt: "30px",
      }}
    >
      <Typography textAlign="center">Вы хотите удалить элемент?</Typography>
      <Box
        sx={{
          display: "flex",
          justifyContent: "space-evenly",
          flexWrap: "wrap",
          margin: "30px auto",
        }}
      >
        <Button
          variant="contained"
          sx={{
            width: "150px",
            mb: "15px"
          }}
          onClick={close}
        >
          отмена
        </Button>
        <Button
          variant="contained"
          sx={{
            width: "150px",
            mb: "15px"
          }}
          onClick={deleteItem}
        >
          удалить
        </Button>
      </Box>
    </Box>
  );
};
