import { Typography, useTheme } from "@mui/material";
import { FC } from "react";

type ResponsiblePersonProps = {
  performer: string | null;
};

export const ResponsiblePerson: FC<ResponsiblePersonProps> = ({
  performer,
}) => {
  const theme = useTheme();

  return (
    <>
      <Typography
        sx={{
          color: theme.palette.grey2.main,
          fontSize: "18px",
          fontWeight: 400,
          margin: "10px 8px 0 0",
        }}
        display={"inline-block"}
      >
        Ответственный за сделку:
      </Typography>
      <Typography
        sx={{
          color: theme.palette.grey3.main,
          fontSize: "18px",
          fontWeight: 400,
        }}
        display={"inline"}
      >
        {performer ? performer : "Не выбран"}
      </Typography>
    </>
  );
};
