import { Typography, useTheme } from "@mui/material";
import Box from "@mui/material/Box";
import { FC } from "react";

type SelectedParameterProps = {
  parameter: string | null;
};

export const SelectedParameter: FC<SelectedParameterProps> = ({
  parameter,
}) => {
  const theme = useTheme();
  return (
    <Box
      sx={{
        display: "flex",
        width: "100%",
        padding: "15px 20px",
        backgroundColor: theme.palette.background.default,
        borderRadius: "12px",
        marginTop: "10px",
      }}
    >
      <Typography>{parameter ? parameter : "Не выбрано"}</Typography>
    </Box>
  );
};
