import { Box, Typography, useTheme } from "@mui/material";
import { FC } from "react";
import { QuizMetricType } from "@model/quizSettings";

type PartnerItemProps = {
  setIsModalOpen: (value: boolean) => void;
  setCompanyName: (value: keyof typeof QuizMetricType) => void;
  logo?: JSX.Element;
  title?: string;
  name: string;
};

export const ServiceButton: FC<PartnerItemProps> = ({
  setIsModalOpen,
  logo,
  title,
  name,
  setCompanyName,
}) => {
  const theme = useTheme();

  const handleClick = () => {
    setCompanyName(name as keyof typeof QuizMetricType);
    setIsModalOpen(true);
  };

  return (
    <>
      <Box
        sx={{
          width: 250,
          height: 60,
          backgroundColor: "white",
          borderRadius: "8px",
          padding: "0 20px",
          display: "flex",
          alignItems: "center",
          marginBottom: "2%",
          marginRight: "2%",
          cursor: "pointer",
        }}
        onClick={handleClick}
      >
        {logo && logo}
        <Typography
          sx={{
            fontSize: "18px",
            fontWeight: "400",
            marginLeft: "15px",
          }}
        >
          {title && title}
        </Typography>
      </Box>
    </>
  );
};
