import { Box, Typography, useMediaQuery, useTheme } from "@mui/material";
import type { QuizQuestionPage } from "@frontend/squzanswerer";

type SettingPageOptionsProps = {
  question: QuizQuestionPage;
};

export default function SettingPageOptions({ question }: SettingPageOptionsProps) {
  const theme = useTheme();
  const isMobile = useMediaQuery(theme.breakpoints.down(790));

  return (
    <Box
      sx={{
        boxSizing: "border-box",
        pt: isMobile ? "25px" : "20px",
        pb: isMobile ? "25px" : "20px",
        pl: "20px",
        pr: "20px",
        display: "flex",
        flexDirection: "column",
        gap: "14px",
        width: isMobile ? "auto" : "100%",
      }}
    >
      <Typography
        sx={{
          height: isMobile ? "18px" : "auto",
          fontWeight: "500",
          fontSize: "18px",
          color: " #4D4D4D",
        }}
      >
        Настройки вопроса
      </Typography>
    </Box>
  );
}
