import {
  Box,
  Button,
  IconButton,
  SxProps,
  Theme,
  Typography,
} from "@mui/material";

import CustomTextField from "@ui_kit/CustomTextField";
import { DeleteIcon } from "@icons/questionsPage/deleteIcon";

const priceButtonsArray: { title: string; type: string; sx: SxProps<Theme> }[] =
  [
    {
      title: "10000 ₽",
      type: "10000 ₽",
      sx: {
        width: "110px",
        height: "48px",
        border: "1px solid #9A9AAF",
      },
    },
    {
      title: "Ровно",
      type: "smooth",
      sx: {
        width: "94px",
        height: "48px",
        border: "1px solid #9A9AAF",
      },
    },
    {
      title: "От и до",
      type: "fromAndTo",
      sx: {
        width: "93px",
        height: "48px",
        border: "1px solid #9A9AAF",
        whiteSpace: "nowrap",
      },
    },
  ];

type Props = {
  resultData: QuizQuestionResult;
};

export default function PriceButtons({ resultData }: Props) {
  return (
    <Box>
      <Box sx={{ display: "flex", alignItems: "center", mb: "14xp" }}>
        <Typography component={"h6"} sx={{ weight: "500", fontSize: "18px" }}>
          Заголовок
        </Typography>
      </Box>
      <Box
        component="div"
        sx={{ display: "flex", flexWrap: "wrap", gap: "8px", mb: "20px" }}
      >
        <CustomTextField
          placeholder={"Вы прошли опрос"}
          maxLength={70}
          sx={{
            borderRadius: "8px",
            height: "48px",
            width: "100%",
          }}
        />
      </Box>
    </Box>
  );
}
