import { FirstEntry } from "./FirstEntry";
import { ResultSettings } from "./ResultSettings";
import {
  decrementCurrentStep,
  incrementCurrentStep,
  setCurrentStep,
} from "@root/quizes/actions";
import { Box, Button } from "@mui/material";
import ArrowLeft from "@icons/questionsPage/arrowLeft";

export default () => {
  return (
    <>
      <FirstEntry />
      <ResultSettings />
      <Box
        sx={{
          display: "flex",
          justifyContent: "flex-start",
          alignItems: "center",
          gap: "8px",
          mt: "30px",
        }}
      >
        <Button
          variant="outlined"
          sx={{
            padding: "10px 20px",
            borderRadius: "8px",
            height: "44px",
          }}
          onClick={decrementCurrentStep}
        >
          <ArrowLeft />
        </Button>
        <Button
          onClick={incrementCurrentStep}
          variant="contained"
          sx={{
            backgroundColor: "#7E2AEA",
            fontSize: "18px",
            lineHeight: "18px",
            width: "216px",
            height: "44px",

            p: "10px 20px",
          }}
        >
          Настроить форму
        </Button>
      </Box>
    </>
  );
};
