import { FormControl } from "@mui/material";

import CustomTextField from "@ui_kit/CustomTextField";

type SearchTemplateProps = {
  searchValue: string;
  setSearchValue: (value: string) => void;
};

export const SearchTemplate = ({
  searchValue,
  setSearchValue,
}: SearchTemplateProps) => (
  <FormControl fullWidth variant="standard" sx={{ width: "71%" }}>
    <CustomTextField
      placeholder="Поиск шаблонов"
      value={searchValue}
      onChange={({ target }) => setSearchValue(target.value)}
    />
  </FormControl>
);
